org.opencv.face

## Class BIF

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.BIF

-     public class BIF
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BIF(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BIF` | `__fromPtr__(long addr)`
    `void` | `compute(Mat image, Mat features)`
    `static BIF` | `create()`
    `static BIF` | `create(int num_bands)`
    `static BIF` | `create(int num_bands, int num_rotations)`
    `protected void` | `finalize()`
    `int` | `getNumBands()`
    `int` | `getNumRotations()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BIF

          protected BIF(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BIF __fromPtr__(long addr)

    - #### create

          public static BIF create(int num_bands,
                                   int num_rotations)

    - #### create

          public static BIF create(int num_bands)

    - #### create

          public static BIF create()

    - #### getNumBands

          public int getNumBands()

    - #### getNumRotations

          public int getNumRotations()

    - #### compute

          public void compute(Mat image,
                              Mat features)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3